apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -f docker-compose.yml
    kompose.version: 1.18.0 ()
  creationTimestamp: null
  labels:
    io.kompose.service: baicao
  name: baicao
spec:
  replicas: 1
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: baicao
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - args:
            - ./main
            - console
          image: registry.gitlab.com/gsmanclub/baicao
          name: baicao
          resources: {}
          workingDir: /var/www
          volumeMounts:
            - name: config-volume
              mountPath: /var/www/config/db_pool.properties
              subPath: db_pool.properties
            - name: config-volume
              mountPath: /var/www/config/hazelcast.properties
              subPath: hazelcast.properties
            - name: config-volume
              mountPath: /var/www/config/mongo.properties
              subPath: mongo.properties
            - name: config-volume
              mountPath: /var/www/config/rmq.properties
              subPath: rmq.properties
      restartPolicy: Always
      volumes:
        - name: config-volume
          configMap:
            name: config-all
status: {}
